# HCL - Hybrid Command Language

## Language Syntax

A HCL program is composed of more expressions.


## Special Form Expression

* and
* break
* defun
* do
* elif
* else
* if
* lambda
* or
* return
* set
* until
* while

## literals

* #nil
* #true
* #false
* integer
* character
* small pointer
* error
* string
* dictionary
* array
* byte array

## Builtin functions

* eqv?
* eqk?
* printf
